4.2 Upgrading to Oracle Linux 7 Update 4 with the Oracle-Supported OFED Packages for UEK R4 installed

The following procedures describe how to upgrade an Oracle Linux 6 system to Oracle Linux 6 Update 9 on a system where the Oracle-supported OFED packages for UEK R4 are already present.

Upgrade using ULN

The following procedure describes how to use ULN to perform an upgrade.

Note

This procedure assumes that you have registered the system with ULN. See Registering an Oracle Linux 6 or Oracle Linux 7 System.

  1. Subscribe the system to the ol6_x86_64_UEKR4_OFED, ol6_x86_64_UEKR4, and ol6_x86_64_latest channels on ULN. By default, the ol6_x86_64_UEKR4 and ol6_x86_64_latest channels are enabled when you register an Oracle Linux 6 system with ULN.

  2. Edit the /etc/yum/pluginconf.d/rhnplugin.conf file and add the following lines to the end of the file:

    [ol7_x86_64_UEKR4_OFED]
    priority=20 
  3. Install the yum-plugin-priorities package from the ol7_x86_64_latest channel:

    # yum install yum-plugin-priorities
  4. Apply Oracle Linux 6 Update 9 to the system:

    # yum update 

    Any Oracle-supported OFED packages for UEK R4 that were already present are updated from the ol6_x86_64_UEKR4_OFED channel. If you do not have any of the OFED packages installed, you can proceed to install the packages as described in the installation instructions provided in the Release Notes for the most current version of UEK R4 at: https://docs.oracle.com/cd/E37670_01/.

    For example, if installing for UEK R4u5, refer to Unbreakable Enterprise Kernel Release 4 Update 5 Release Notes.

Upgrading by using the Oracle Linux Yum Server

The following procedure describes how to perform an upgrade by using the Oracle Linux yum server.

  1. If you updated the server from Oracle Linux 5 or the initial release of Oracle Linux 6, ensure that your system is up to date and that you have transitioned to use the modular yum repository configuration by installing the oraclelinux-release-el6 package and running the /usr/bin/ol_yum_configure.sh script.

    # yum install oraclelinux-release-el6
    # /usr/bin/ol_yum_configure.sh
  2. Enable the ol6_latest, ol6_UEKR4 and ol6_UEKR4_OFED repositories. For example, run:

    # yum-config-manager --enable ol6_latest ol6_UEKR4 ol6_UEKR4_OFED
  3. Install the yum-plugin-priorities package from the ol6_latest repository:

    # yum install yum-plugin-priorities
  4. To apply Oracle Linux 6 Update 9 to the system:

    # yum update

    Any Oracle-supported OFED packages for UEK R4 that were already present are updated from the ol6_UEKR4_OFED repository on the Oracle Linux yum server. If you do not have any of the OFED packages installed, you can proceed to install the packages as described in the installation instructions that are provided in the release notes for the most current version of UEK R4 at https://docs.oracle.com/cd/E93554_01/.

    For example, if you are installing UEK R4U7, see the Unbreakable Enterprise Kernel Release 4 Update 7 Release Notes.